import styled from '@emotion/styled';
import Base from './Base';
import { propertyGenerator } from '../helpers';
const getGridProperties = propertyGenerator([
    ['columns', { property: 'grid-template-columns' }],
    ['rows', { property: 'grid-template-rows' }],
    ['autoColumns', { property: 'grid-auto-columns' }],
    ['autoRows', { property: 'grid-auto-rows' }],
    ['columnGap', { property: 'grid-column-gap' }],
    ['rowGap', { property: 'grid-row-gap' }],
    ['gap', { property: 'grid-gap' }],
    ['xAlign', { property: 'justify-items', default: 'center' }],
    ['yAlign', { property: 'align-items', default: 'center' }],
    ['align', { property: 'place-items', default: 'center center' }],
]);
export default styled(Base) `
  display: grid;
  ${getGridProperties}
`;
//# sourceMappingURL=Grid.js.map