export type PropertyGeneratorHandler<T> = (props: T) => string;
export interface PropertyGeneratorOptions<T> {
    default?: string;
    handler?: PropertyGeneratorHandler<T>;
    property?: string;
}
export type PropertyGeneratorKey<T> = Array<[Extract<keyof T, string>, PropertyGeneratorOptions<T> | PropertyGeneratorHandler<T>] | Extract<keyof T, string>>;
export declare function propertyGenerator<T>(keys: PropertyGeneratorKey<Partial<T>>): (props: Partial<T>) => string;
